%define oname   nokogiri

Name:       ruby-%{oname}
Version:    1.6.7.2
Release:    %mkrel 3
Summary:    An HTML, XML, SAX, and Reader parser
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxslt-devel
BuildRequires: rubygem(mini_portile)

%description
Nokogiri is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3
selectors. XML is like violence - if it doesn't solve your problems,
you are not using enough of it.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/<mini_portile2>, \["~> 2.0.0.rc2"/<mini_portile2>, \[">= 2.0.0"/g' ../%{oname}-%{version}.gemspec

%build
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
%gem_build

%install
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
%gem_install

%files
%{_bindir}/nokogiri
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}


%changelog
* Fri Nov 04 2016 daviddavid <daviddavid> 1.6.7.2-3.mga6
+ Revision: 1065274
- fix more update dependency with sed

* Thu Nov 03 2016 pterjan <pterjan> 1.6.7.2-2.mga6
+ Revision: 1064794
- Use sed to remove update dependency

* Sun Feb 14 2016 pterjan <pterjan> 1.6.7.2-1.mga6
+ Revision: 960149
- Allow mini_portile2 2.1
- Update to 1.6.7.2

* Wed Jan 06 2016 pterjan <pterjan> 1.6.7.1-1.mga6
+ Revision: 920123
- Update to 1.6.7.1

* Wed Dec 02 2015 spuhler <spuhler> 1.6.6.2-2.mga6
+ Revision: 907684
- rebuild with new libruby

* Fri Nov 13 2015 pterjan <pterjan> 1.6.6.2-1.mga6
+ Revision: 902978
- Update to 1.6.6.2

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-9.mga5
+ Revision: 740509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-8.mga5
+ Revision: 688886
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.6.0-7.mga4
+ Revision: 562066
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.6.0-6.mga4
+ Revision: 561489
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 1.6.0-5.mga4
+ Revision: 560530
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-4.mga4
+ Revision: 536013
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 pterjan <pterjan> 1.6.0-3.mga4
+ Revision: 482990
- Use gem_setup
- Fix file list

* Sun Jun 09 2013 fwang <fwang> 1.6.0-2.mga4
+ Revision: 441181
- use system lib
- use system libraries

* Sun Jun 09 2013 fwang <fwang> 1.6.0-1.mga4
+ Revision: 441167
- add more br
- new version 1.6.0

* Fri Feb 08 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 396229
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.5.5-3.mga3
+ Revision: 381143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.5.5-2.mga3
+ Revision: 313438
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.5.5-1.mga3
+ Revision: 280660
- New version 1.5.5

* Fri Jun 08 2012 shlomif <shlomif> 1.5.2-1.mga3
+ Revision: 257537
- Rename files away from percent signs

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Drop patch

* Mon Feb 07 2011 shikamaru <shikamaru> 1.4.3.1-2.mga1
+ Revision: 48511
- imported package ruby-nokogiri


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.3.1-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Add check section

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.3.1-1mdv2011.0
+ Revision: 584366
- bump release (needed for cucumber)

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 500512
- import rubygem-nokogiri


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.1-1
- initial release
